# Use Auto DevOps pipeline
# https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Auto-DevOps.gitlab-ci.yml
include:
  - template: Auto-DevOps.gitlab-ci.yml

variables:
  BROWSER_PERFORMANCE_DISABLED: 1
  CODE_QUALITY_DISABLED: 1
  CONTAINER_SCANNING_DISABLED: 1
  DAST_DISABLED: 1
  DEPENDENCY_SCANNING_DISABLED: 1
  LICENSE_MANAGEMENT_DISABLED: 1
  PERFORMANCE_DISABLED: 1
  SAST_DISABLED: 1
  SECRET_DETECTION_DISABLED: 1

  TEST_DISABLED: 1
  STAGING_ENABLED: 1

  # Don't use built-in Postgres of Auto DevOps
  POSTGRES_ENABLED: "false"
  K8S_SECRET_POSTGRES_DB: clode
  K8S_SECRET_POSTGRES_USER: postgres
  K8S_SECRET_POSTGRES_PASSWORD: $PASSWORD
  K8S_SECRET_DATABASE_URL: postgresql://$K8S_SECRET_POSTGRES_USER:$K8S_SECRET_POSTGRES_PASSWORD@postgres:5432/$K8S_SECRET_POSTGRES_DB

  K8S_SECRET_USERNAME: admin
  K8S_SECRET_PASSWORD: $PASSWORD

  KUBE_CONTEXT: "calincs/gitlab-agents:dev-agent"
  KUBE_INGRESS_BASE_DOMAIN: dev.lincsproject.ca
  KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_COMMIT_REF_SLUG

# Template to override common deployment parameters
.deployment: &deployment
  environment:
    url: https://ecosystem.$KUBE_INGRESS_BASE_DOMAIN

# override some staging parameters
staging:
  <<: *deployment
  variables:
      KUBE_CONTEXT: "calincs/gitlab-agents:stage-agent"
      KUBE_INGRESS_BASE_DOMAIN: stage.lincsproject.ca
      KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-staging


# override some production parameters
production_manual:
  <<: *deployment
  variables:
    KUBE_INGRESS_BASE_DOMAIN: lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:prod-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-production

